/**
 ******************************************************************************
 * @file    mxos_config.h
 * @author  William Xu
 * @version V1.0.0
 * @date    07-Jul-2022
 * @brief   This file is generated from CMake
 ******************************************************************************
 */

#ifndef __MXOS_CONFIG_H
#define __MXOS_CONFIG_H

#ifdef __cplusplus
extern "C" {
#endif

#define FW_VERSION_MAJOR 1
#define FW_VERSION_MINOR 0

#define __VER_NUM2STR(a, b) #a "." #b
#define VER_NUM2STR(a, b)  __VER_NUM2STR(a, b)

#define FIRMWARE_REVISION VER_NUM2STR(FW_VERSION_MAJOR, FW_VERSION_MINOR)

#define MXOS_DEFAULT_APPLICATION_STACK_SIZE 1600

#define CONFIG_APP_DEBUG        MXOS_DEBUG_ON
#define MXOS_DEBUG_MIN_LEVEL    MXOS_DEBUG_LEVEL_ALL


#ifdef __cplusplus
}
#endif

#endif   /* __MXOS_CONFIG_H */
